Last Comment Bug 725293 - update Unicode support in SpiderMonkey to v6.1
: update Unicode support in SpiderMonkey to v6.1
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla13
Assigned To: Tom Schuster [:evilpie]
:
: Jason Orendorff [:jorendorff]
Mentors:
http://www.unicode.org/versions/Unico...
Depends on: 723509
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-08 06:42 PST by Tom Schuster [:evilpie]
Modified: 2012-02-21 07:32 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
the result of running vm/make_unicode.py (213.81 KB, patch)
2012-02-08 11:46 PST, Tom Schuster [:evilpie]
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Tom Schuster [:evilpie] 2012-02-08 06:42:31 PST
+++ This bug was initially created as a clone of Bug #723509 +++

We should update the various data tables, etc., that depend on Unicode, now that v6.1 is officially released.

As per Bug #723509 running vm/make_unicode.py should be enough.
Comment 1 Tom Schuster [:evilpie] 2012-02-08 11:46:19 PST
Created attachment 595475 [details] [diff] [review]
the result of running vm/make_unicode.py
Comment 2 Mozilla RelEng Bot 2012-02-08 12:15:19 PST
Try run for e70c8ec78fcc is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=e70c8ec78fcc
Results (out of 215 total builds):
    success: 183
    warnings: 18
    failure: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/evilpies@gmail.com-e70c8ec78fcc
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2012-02-13 17:42:16 PST
Comment on attachment 595475 [details] [diff] [review]
the result of running vm/make_unicode.py

Review of attachment 595475 [details] [diff] [review]:
-----------------------------------------------------------------

(In reply to Tom Schuster (evilpie) from comment #0)
> As per Bug #723509 running vm/make_unicode.py should be enough.

This is TOTALLY WICKED SWEET.
Comment 4 Tom Schuster [:evilpie] 2012-02-15 06:33:11 PST
>This is TOTALLY WICKED SWEET.
YES.

https://hg.mozilla.org/integration/mozilla-inbound/rev/b2c636b58ee8
Comment 5 Marco Bonardo [::mak] 2012-02-16 02:53:26 PST
https://hg.mozilla.org/mozilla-central/rev/b2c636b58ee8

Note You need to log in before you can comment on or make changes to this bug.